Package org.eclipse.emf.cdo.transfer

# Class CDOTransferType

java.lang.Object
org.eclipse.emf.cdo.transfer.CDOTransferType

All Implemented Interfaces:
  `Comparable<CDOTransferType>`

Direct Known Subclasses:
  `CDOTransferType.Text`

public class CDOTransferType extends Object implements Comparable<CDOTransferType>
Specifies how to treat a source `element` when it is mapped to a target element by a `transfer mapping`.

Since:
  4.2
Author:
  Eike Stepper
No Extend
  This class is not intended to be subclassed by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`CDOTransferType.Text`
A `transfer type` for text `elements` that have a special `encoding`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOTransferType`
`BINARY`
`static final CDOTransferType`
`FOLDER`
`static final CDOTransferType`
`MODEL`
`static final Map<String,CDOTransferType>`
`REGISTRY`
`static final CDOTransferType.Text`
`UTF8`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(CDOTransferType o)`
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`static CDOTransferType.Text`
`text(String encoding)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FOLDER

public static final CDOTransferType FOLDER

### MODEL

public static final CDOTransferType MODEL

### BINARY

public static final CDOTransferType BINARY

### UTF8

public static final CDOTransferType.Text UTF8

### REGISTRY

public static final Map<String,CDOTransferType> REGISTRY

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### compareTo

public int compareTo(CDOTransferType o)

Specified by:
  `compareTo` in interface `Comparable<CDOTransferType>`

### text

public static CDOTransferType.Text text(String encoding)